import { ChangeDetectorRef } from '@angular/core';
import { IToastNotification } from './toast-notifications.model';
import { ToastNotificationsService } from './toast-notifications.service';
import * as i0 from "@angular/core";
export declare class ToastNotificationsComponent {
    protected readonly service: ToastNotificationsService;
    protected readonly cdr: ChangeDetectorRef;
    readonly showExpansionButton: import("@angular/core").InputSignal<boolean>;
    readonly xPosition: import("@angular/core").InputSignal<"left" | "right" | "center">;
    readonly expandHandler: import("@angular/core").InputSignal<(item: IToastNotification) => any>;
    readonly expanded: import("@angular/core").OutputEmitterRef<IToastNotification>;
    protected readonly style: import("@angular/core").Signal<{
        [x: string]: any;
    }>;
    readonly notifications: import("@angular/core").Signal<IToastNotification[]>;
    protected readonly notificationsEffect: import("@angular/core").EffectRef;
    protected expand(item: IToastNotification): void;
    readonly add: (item: import("./toast-notifications.model").IAddToastNotification) => {
        id: string;
        update: (update: Partial<import("./toast-notifications.model").IAddToastNotification>) => void;
        close: () => void;
        loader: {
            play: () => void;
            stop: () => void;
        };
        closed: import("rxjs").Subject<{
            manuallyClosed: boolean;
        }>;
    };
    readonly close: (id: string, manualDismissal: boolean) => void;
    readonly update: (id: string, item: Partial<import("./toast-notifications.model").IAddToastNotification>) => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToastNotificationsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ToastNotificationsComponent, "toast-notifications", never, { "showExpansionButton": { "alias": "showExpansionButton"; "required": false; "isSignal": true; }; "xPosition": { "alias": "xPosition"; "required": false; "isSignal": true; }; "expandHandler": { "alias": "expandHandler"; "required": false; "isSignal": true; }; }, { "expanded": "expanded"; }, never, never, true, never>;
}
